summaryrefslogtreecommitdiffstats
path: root/src/jaegertracing/thrift/contrib/mingw-cross-compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/jaegertracing/thrift/contrib/mingw-cross-compile.sh')
-rwxr-xr-xsrc/jaegertracing/thrift/contrib/mingw-cross-compile.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/src/jaegertracing/thrift/contrib/mingw-cross-compile.sh b/src/jaegertracing/thrift/contrib/mingw-cross-compile.sh
new file mode 100755
index 000000000..7ed5d4773
--- /dev/null
+++ b/src/jaegertracing/thrift/contrib/mingw-cross-compile.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+./configure \
+ --disable-libs \
+ --build=i686-pc-linux-gnu \
+ --host=i586-mingw32msvc \
+ CC=i586-mingw32msvc-gcc CXX=i586-mingw32msvc-g++
+
+make
+
+# Check two locations to be compatible with libtool 1.5.26 or 2.2.6b.
+if test -f compiler/cpp/.libs/thrift.exe ; then
+ i586-mingw32msvc-strip compiler/cpp/.libs/thrift.exe -o ./thrift.exe
+else
+ i586-mingw32msvc-strip compiler/cpp/thrift.exe -o ./thrift.exe
+fi
+echo "Finished compiling with resulting exe"
+ls -l ./thrift.exe